Subject: [6pack] TR5 in Canada

From: Bruce Simms <[email-masked]>
Date: Fri, 11 Jan 2013 08:50:36 -0800 (PST)

Ran into a garage owner on Vancouver Island who was a Leyland dealer mechanic
in Vancouver circa 1970.   He said that BL brought in a TR5 (or early TR6 PI?,
can't remember) as a marketing tool.    It was eventually sold locally, and,
the dealer mechanics cussed the Lucas PI as it was troublesome for them!  I
would doubt they had the specialized PI training and tools of a dealership in
Britain or other markets.    
 
Triumph wasn't the only one to have issues
with early fuel injection systems.   I recall wishing my 74 Volvo had twin
SUs.
 
Cheers, Bruce Simms

________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/6pack/[email-masked]